in scala.xml
class Group

`case class` Group
  `extends` scala.xml.Node
  `with` scala.ScalaObject
  `with` scala.CaseClass

  A hack to group XML nodes in one node for output.

Author:
  Burak Emir
Version:
  1.0

Constructor Summary
| `def` this (nodes: scala.Seq[scala.xml.Node])

Val Summary
| `val` nodes : scala.Seq[scala.xml.Node]

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` attributes : scala.Nothing
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement (x$1: scala.Int) : scala.Any
`final` `override` | `def` caseName : java.lang.String
`final` `override` | `def` child : scala.Nothing
`override` | `def` equals (x: scala.Any) : scala.Boolean structural equality
`override` | `def` hashCode : scala.Int
`final` | `def` label : scala.Nothing
`final` `override` | `def` namespace : scala.Nothing
`override` | `def` text : java.lang.String
`override` | `def` theSeq : scala.Seq[scala.xml.Node]
| `def` toString (sb: scala.compat.StringBuilder) : scala.Nothing

Constructor Detail

`def` this (nodes: scala.Seq[scala.xml.Node])

Val Detail

`val` nodes : scala.Seq[scala.xml.Node]

Def Detail

`final override def` $tag : scala.Int

`final override def` attributes : scala.Nothing

Throws:
  `UnsupportedOperationException -` (always)

`final override def` caseArity : scala.Int

`final override def` caseElement (x$1: scala.Int): scala.Any

`final override def` caseName : java.lang.String

`final override def` child : scala.Nothing

Throws:
  `UnsupportedOperationException -` (always)

`override def` equals (x: scala.Any): scala.Boolean

  structural equality

`override def` hashCode : scala.Int

`final def` label : scala.Nothing

Throws:
  `UnsupportedOperationException -` (always)

`final override def` namespace : scala.Nothing

Throws:
  `UnsupportedOperationException -` (always)

`override def` text : java.lang.String

`override def` theSeq : scala.Seq[scala.xml.Node]

`def` toString (sb: scala.compat.StringBuilder): scala.Nothing

Throws:
  `UnsupportedOperationException -` (always)